package at.acdp.urweb.web;

import com.nmote.xr.XRMethod;

public class XRServer {

    @XRMethod(value = "example.helloWorld", help = "Returns 'Helo ' + argument")
    public static String hello(Object s) {
        return "Hello '" + s + "'";
    }


    @XRMethod(value = "set_title", help = "Returns 'Helo ' + argument")
    public static String set_title(Object s) {
        return "Hello '" + s + "'";
    }

    @XRMethod(value = "get_title", help = "Returns 'Helo ' + argument")
    public static String get_title() {
        return "Hello";
    }

    @XRMethod(value = "get_message")
    public static String get_message(Object s) {
        return "asdfasdfas";
    }
}
